Bug 1080158 - Do not use empty string as values for properties in rhq-storage.properties
Summary: Do not use empty string as values for properties in rhq-storage.properties
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Installer, Storage Node
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR01
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords:
Depends On: 1080157
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-24 19:12 UTC by John Sanda
Modified: 2018-12-05 17:50 UTC (History)
5 users (show)

(edit)
If the rhq.storage.hostname or rhq.storage.seeds properties were uncommented and left unset in rhq-storage.properties, the storage installer created an invalid configuration. The listen_address and seeds properties in cassandra.yaml were left blank, which caused the storage node startup to fail. The fix ignores empty values in rhq-storage.properties which ensures that invalid configuration is not introduced into cassandra.yaml, and fixes the originally-reported issue.
Clone Of: 1080157
(edit)
Last Closed: 2014-12-11 14:04:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 769903 None None None Never

Description John Sanda 2014-03-24 19:12:00 UTC
+++ This bug was initially created as a clone of Bug #1080157 +++

Description of problem:
If the rhq.storage.hostname or rhq.storage.seeds properties are uncommented and left uninitialized with empty strings, the storage installer creates an invalid configuration. The listen_address and seeds properties in cassandra.yaml are left blank. The empty seeds property will cause the storage node startup to fail. The installer needs to fall back to default values if an empty string is used. This applies to all properties in rhq-storage.properties.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Michael Burman 2014-07-13 20:19:21 UTC
Fixed in master:

commit e4fd26bf70c3fe9be9b6efc79855e140850b20b5
Author: Michael Burman <miburman@redhat.com>
Date:   Sun Jul 13 23:15:03 2014 +0300

    [BZ 1080157] Ignore empty values in rhq-storage.properties

Comment 3 Simeon Pinder 2014-07-31 15:51:44 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993

Comment 4 Filip Brychta 2014-08-07 13:27:45 UTC
Verified on
Version :	
3.3.0.DR01
Build Number :	
6468454:dda0a47


Note You need to log in before you can comment on or make changes to this bug.